const queueConsumer = require('../jobs/queueConsumer');
const cleanup = require('../jobs/cleanup');
const sequelize = require('../utils/db');
const config = require('../config');

const shutdown = async (ctx, next) => {

    try {
        if (config.ENABLE_QUEUE_PROCESSOR) {
            console.log('shutting down Queue Processor');
            queueConsumer.stop();
        }
        if (config.ENABLE_CLEANUP) {
            console.log('shutting down Cleanup');
            cleanup.stop();
        }
        console.log('shutting down sequelize');
        sequelize.stop();
        ctx.response.status = 200
    } catch (err) {
        console.error('Failed to shutdown the service', err.message);
        ctx.status = 500;
    }
};

module.exports = {
    '/shutdown': {
        post: {
            description: 'gracefully shutdown the service',
            run: shutdown
        }
    },
};
