const Sequelize = require('sequelize');
const { toSchema, baseFields } = require('../utils/model');

const fields = baseFields.concat([
    {
        name: 'id',
        type: Sequelize.UUID,
        defaultValue: Sequelize.UUIDV1,
        primaryKey: true,
        exposed: true
    },
    {
        name: 'incident_id',
        type: Sequelize.TEXT,
        exposed: true,
    },
    {
        name: 'event_id',
        type: Sequelize.TEXT,
        exposed: true,
    },
    {
        name: 'event_time',
        type: Sequelize.TEXT,
        exposed: true,
    },
    {
        name: 'orgid',
        type: Sequelize.INTEGER,
        exposed: true,
    },
    {
        name: 'loginid',
        type: Sequelize.INTEGER,
        exposed: true,
    },
    {
        name: 'alert_rule_id',
        type: Sequelize.TEXT,
        exposed: true,
    },
    {
        name: 'alert_rule_name',
        type: Sequelize.TEXT,
        exposed: true,
    },
    {
        name: 'threat_id',
        type: Sequelize.TEXT,
        exposed: true,
    },
    {
        name: 'sha256hash',
        type: Sequelize.TEXT,
        exposed: true,
    },
    {
        name: 'device_id',
        type: Sequelize.TEXT,
        exposed: true,
    },
    {
        name: 'comment',
        type: Sequelize.TEXT,
        exposed: true,
    },
    {
        name: 'userid',
        type: Sequelize.UUID,
        exposed: true
    },
    {
        name: 'delivery_email',
        type: Sequelize.TEXT,
        exposed: true
    },
    {
        name: 'delivery_email_status',
        type: Sequelize.TEXT,
        exposed: true
    },
    {
        name: 'delivery_email_sent',
        type: Sequelize.DATE,
        exposed: true
    },
    {
        name: 'delivery_webhook_url',
        type: Sequelize.TEXT,
        exposed: true
    },
    {
        name: 'delivery_in_app_status',
        type: Sequelize.TEXT,
        exposed: true
    },
    {
        name: 'delivery_in_app_sent',
        type: Sequelize.DATE,
        exposed: true
    },
    {
        name: 'delivery_webhook_status',
        type: Sequelize.TEXT,
        exposed: true
    },
    {
        name: 'delivery_webhook_sent',
        type: Sequelize.DATE,
        exposed: true
    }
]);
const NotificationsHistory = toSchema({
    collection: 'notifications_history',
    fields
});

module.exports = NotificationsHistory;
