const Sequelize = require('sequelize');
const { toSchema, baseFields } = require('../utils/model');

const fields = baseFields.concat([
    {
        name: 'id',
        type: Sequelize.UUID,
        defaultValue: Sequelize.UUIDV1,
        primaryKey: true,
        exposed: true
    },
    {
        name: 'userid',
        type: Sequelize.UUID,
        exposed: true
    },
    {
        name: 'type',
        // getting_started, announcement...
        type: Sequelize.TEXT,
        exposed: true,
        writable: true
    },
    {
        name: 'title',
        type: Sequelize.TEXT,
        exposed: true,
        editable: true
    },
    {
        name: 'content',
        type: Sequelize.TEXT,
        exposed: true,
        writable: true
    },
    {
        name: 'action',
        // JSON of a UI action object.
        type: Sequelize.TEXT,
        exposed: true
    },
    {
        name: 'fields',
        // JSON of custom fields set by the admin/application.
        type: Sequelize.TEXT,
        exposed: true
    },
    {
        name: 'dismissed',
        type: Sequelize.BOOLEAN,
        exposed: true,
        editable: true
    },
    {
        name: 'readtime',
        type: Sequelize.DATE,
        exposed: true,
        editable: true
    },
    {
        name: 'createdby',
        type: Sequelize.UUID
    }
]);
const Notifications = toSchema({
    collection: 'notifications',
    fields
});

module.exports = Notifications;
