const moment = require('moment');
const esClient = require('../utils/esClient');
const context = require('./sample_notification');
const notificationHistoryId = require('../utils/notificationHistoryId');

const recipient = {
    address: 'sdelesque@carbonblack.com'
};

(async () => {
    const id = notificationHistoryId();
    console.log('Insert new notification', id);
    await esClient.create({
        id,
        index: `notificationhistory-${moment().format('YYYYMMDD')}`,
        type: 'notificationhistory',
        body: {
            sha256Hash: context.SHA256_HASH,
            eventTime: context.EVENT_TIME,
            eventId: context.EVENT_ID,
            deviceId: context.DEVICE_ID,
            createTime: 1546510919733,
            alertRuleId: context.RULE_ID,
            incidentId: context.INCIDENT_ID,
            emails: [recipient.address],
            orgId: 1,
            alertRuleName: context.RULE_NAME,
            threatId: context.THREAT_ID,
            comment: null,
            status: 'SENT'
        }
    });
})();
