/*
// Sample body:
{
    "orgId":1481,
    "adminLogin":null,
    "recepients": [
        {"address":"contact@samueldelesque.com", "name":"Sam2 ", "type":"EMAIL"}
    ],
    "context":,
    "type":"THREAT_SCORE"
}
*/

module.exports = {
    TIME: 1528328669316,
    DEVICE_GROUP_NAME: 'Standard',
    DEVICE_NAME: 'ShippingPC',
    IOC_FIELD: 'domain name',
    IOC_HIT: 'backdoors.ru',
    SIEM_NOTIFICATION_TYPE: 'THREAT',
    INCIDENT_ID: 'BZRQUGCC',
    SHA256_HASH: '12e90b8e74f20fc0a7274cff9fcbae14592db12292757f1ea0d7503d30799fd2))',
    DEVICE_ID: 226199,
    INCIDENT_SUMMARY: 'A known virus (Backdoor: Swrort) was detected.',
    SEVERITY: 'Threat',
    DEVICE_TYPE: 'WINDOWS',
    DEVICE_VERSION: 'XP x86',
    RULE_ID: '5b6f947f6a5a11e88dd1ff51af976fc2',
    RULE_NAME: 'test',
    TARGET_VALUE: 'MEDIUM',
    THREAT_INDICATORS: {
        '2910ebc692d833d949bfd56059e8106d324a276d5f165f874f3fb1b6c613cdd5': [
            { sha256Hash: '2910ebc692d833d949bfd56059e8106d324a276d5f165f874f3fb1b6c613cdd5', applicationName: 'svchost.exe', indicatorName: 'KNOWN_BACKDOOR' }
        ]
    },
    WATCHLISTS: [
        {
            id: 'JhYEZAdvTluYlAGlc5mg',
            name: 'Watchlist of the week',
            alert: true
        },
        {
            id: 'JhYEZAdvTluYlAGlc5mg',
            name: 'Pentagon Watchlist',
            alert: true
        },
        {
            id: 'JhYEZAdvTluYlAGlc5mg',
            name: 'Watchmen',
            alert: true
        }
    ],
    FEEDS: [
        { applicationName: 'firefox.exe', iocs: 'suspicious_domain' },
        { applicationName: 'tor.exe', iocs: 'dark_side' }
    ],
    TTPS: [
        { sha256Hash: '2910ebc692d833d949bfd56059e8106d324a276d5f165f874f3fb1b6c613cdd5', applicationName: 'svchost.exe', indicatorName: 'KNOWN_BACKDOOR' },
        { sha256Hash: '2910ebc692d833d949bfd56059e8106d324a276d5f165f874f3fb1b6c613cdd5', applicationName: 'svchost.exe', indicatorName: 'DETECTED_MALWARE_APP' }
    ],
    DEVICE_EMAIL: 'sdelesque@vmware.com',
    THREAT_SCORE: 3,
    THREAT_ID: '3e11848327df374704d648772a6490f7'
};
