const AWS = require('aws-sdk');
// Set the region
AWS.config.update({ region: 'us-east-1' });

// Create SQS service object
const sqs = new AWS.SQS({ apiVersion: '2012-11-05' });
let messagesProcessed = 0;
let batch = 0;
const writersCount = 50;
const start = Date.now();

const gen = () => {
    const messages = [];
    for (let i = 0; i < 10; i++) {
        const Id = `id_${messagesProcessed}`;
        const message = {
            Id,
            MessageBody: `Message #${Id}`,
        };
        messagesProcessed++;
        messages.push(message);
    }
    batch++;

    sqs.sendMessageBatch({
        Entries: messages,
        QueueUrl: 'https://sqs.us-east-1.amazonaws.com/605728677638/notitications_test2'
    }, (error) => {
        if (error) {
            console.error(error.message);
        } else if (batch < 150000) {
            gen();
        }
    });
};

setInterval(() => {
    const seconds = Math.round((Date.now() - start) / 1000);
    console.log(`${messagesProcessed} messages inserted in ${seconds}s (${Math.round((messagesProcessed / seconds) * 100) / 100}mps)`);
}, 5000);


for (let i = 0; i < writersCount; i++) {
    gen(batch);
}
