const serialize = require('./serialize');

module.exports = ({ staticHost, INCIDENT_ID }) => {
    const q = serialize({
        searchDefinition: {
            dataGrouping: 'NO_GROUP_RESULTS',
            highlight: true,
            searchWindow: 'TWO_WEEKS',
            maxRows: 20,
            fromRow: 1,
            sortDefinition: {
                fieldName: 'FIRST_ACTIVITY',
                sortOrder: 'DESC'
            },
            criteria: {
                THREAT_SCORE: [1],
                TARGET_PRIORITY: [
                    'LOW',
                    'MEDIUM',
                    'HIGH',
                    'MISSION_CRITICAL'
                ],
                SEVERITY: [
                    'WARNING',
                    'NOTICE'
                ],
                INCIDENT_ID: [INCIDENT_ID],
                DISMISSED: ['true', 'false']
            },
        }
    });
    return `${staticHost}/alerts?${q}`;
};
