const axios = require('axios');
const config = require('../config');

const saveNotificationHistory = async (action) => {

    let host = config.GATEWAY_URL;
    const endpoint = `/rules/notifications/v1/internal/notifications/history/_bulk`;
    let url = `${host}${endpoint}`;
    const gatewayHost = config.INTERNAL_INGRESS_HOST_NAME;
    let customHeaders = {
        'X-Auth-Token': config.NOTIFICATION_RULE_SERVICE_CONNECTOR_SECRET_KEY,
        'Host': gatewayHost
    };
    try {
        await axios.post(url, action, {
            timeout: 30000,
            headers: customHeaders
        });
        if (config.DEBUG) {
            console.log("saveNotificationHistory success")
        }
        return true;
    } catch (err) {
        console.log(`Failed to store notification history! ${url} ${err.message} ${err.response && err.response.data}`);
        if (config.DEBUG) {
            console.log(`Failed to store notification history! JSON ${JSON.stringify(err)} gateway public url ${host} header ${JSON.stringify(customHeaders)} action ${JSON.stringify(action)}`);
        }
        return false;
    }

};

module.exports = saveNotificationHistory;
