const sequelize = require('sequelize');

const secureFilter = (filter, fields) => fields.reduce(
    (acc, field) => Object.assign(
        acc,
        filter[field.name] &&
        filter[field.name] !== '*' &&
        (
            filter[field.name].hasOwnProperty('include') ?
                { [field.name]: { [sequelize.Op.in]: filter[field.name]['include'].map(item => (
                            item.value ?
                                item.value :
                                item
                        )) } } : (filter[field.name].hasOwnProperty('exclude') ?
                    { [field.name]: { [sequelize.Op.notIn]: filter[field.name]['exclude'].map(item => (
                                item.value ?
                                    item.value :
                                    item
                            )) } } :
                { [field.name]: filter[field.name] })
        )
    ),
    {}
);

module.exports = secureFilter;
