const qs = require('qs');

module.exports = (paramObj, preserveType) => {
    const obj = paramObj;

    // This will shorten the terms searchDefinition to s and criteria to c
    if (obj && obj.searchDefinition) {
        if (obj.searchDefinition.criteria) {
            obj.searchDefinition.c = obj.searchDefinition.criteria;
            delete obj.searchDefinition.criteria;

            // encode the values as JSON
            // this will do nothing for numeric types, but wrap strings with double
            // quotes; that way they can be decoded to explicit types
            if (preserveType === true) {
                Object.keys(obj.searchDefinition.c).forEach((key) => {
                    let values = obj.searchDefinition.c[key];

                    if (values !== null && typeof values !== 'undefined') {
                        if (Array.isArray(values)) {
                            values = values.map(value => JSON.stringify(value));
                        } else {
                            values = JSON.stringify(values);
                        }
                    }

                    obj.searchDefinition.c[key] = values;
                });
            }
        }

        obj.s = obj.searchDefinition;
        delete obj.searchDefinition;
    }

    return qs.stringify(obj, { encodeValuesOnly: true });
};
